"{ Package: 'stx:libbasic' }"

UnixOperatingSystem subclass:#OSXOperatingSystem
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'OS-Unix'
!


!OSXOperatingSystem class methodsFor:'file queries'!

caseSensitiveFilenames
    "return true, if the OS has caseSensitive file naming.
     On MSDOS, this will return false;
     on a real OS, we return true."

    ^ false

    "Modified: / 5.6.1998 / 18:35:18 / cg"
!

getTrashDirectory
    "get the name of a trash folder (if the OS supports it),
     or nil, if not.
     Must be redefined to return non nil in concrete operating systems"

    ^ '~/.Trash'
! !

!OSXOperatingSystem class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/OSXOperatingSystem.st,v 1.4 2014-04-19 22:50:48 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic/OSXOperatingSystem.st,v 1.4 2014-04-19 22:50:48 cg Exp $'
! !

